Subject: [Eligibility-discuss] Call today?

From: John C Klensin <[email-masked]>
Date: Thu, 24 Oct 2019 03:58:42 -0400

Hi.

According to my calendar, we have a call/ virtual meeting
scheduled for 1700 UTC today, only nine hours from now.  My
notes say that WebEx information was to be posted to the list
before the call.

As far as I can tell from a quick scan of the archives, that has
not happened since the announcement on 4 October 

 (https://mailarchive.ietf.org/arch/msg/eligibility-discuss/OyHttx
MUelk1BacJEON42ge4v4w
_

indeed, the only discussions on this list were later that day,
including ones in which I was told (or interpreted what I took
as meaning) that questioning whether process-change proposals
would actually be processed by the IESG meant that one was
assuming members of the current IESG (or their successors) would
act in bad faith and hence that the question should not be
asked.  That was in spite of IETF experience with the NEWTRK WG
output, the much earlier experience with efforts to put a
ceiling on the number of WGs, and a couple of attempts
(different from the present one) to tune the recall process to
make its effective use in a bad behavior situation more
plausible.  

So, in my defense and possibly that of others, I want to repeat
my comment in a slightly different form.  There is an
established record of past IESGs suppressing process change
proposals they didn't like or didn't think appropriate.
"Suppressing" in this case means not allowing proposals,
including proposals that were developed in-scope and with clear
consensus of a WG, to go to Last Call to see whether or not IETF
rough consensus existed.  While I think that type of behavior is
very unhealthy for the IETF and therefore think it may represent
bad judgment, I have never assumed or meant to imply that
anyone, even the IESGs that made those decisions and much less
any current or future IESG members, were acting in bad faith.
Indeed, I have assumed exactly the opposite, which is that the
membership of those past IESG concluded, rationally and in
perfectly good faith, that the proposals were not in the best
interest of the IETF and that killing them off would save the
community time and trouble and eliminate any risk that an
ill-advised community would demonstrate sufficient consensus for
those proposals that they would have to be implemented.  

There is a fundamental question about whether the IESG should,
or has the right to, make a decision to kill off a proposal
(technical or procedural and especially if it represents the
rough consensus or a WG) that they sincerely believe is a bad
idea without consulting the community and getting rough
consensus for doing so, but that question is not an issue of
good faith or bad either, only about the relationships between
the IETF community and the IESG and the authority of the latter.

So, against that backdrop, I'm going to ask my question again:
can the participants in this effort be reasonably assured that
any consensus recommendations or documents it produces will be
processed by the IESG and put out for IETF Last Call?  History
justifies the question and justifies it without any assumptions
about the faith or mental state of IESG members.   From my point
of view at least, a statement like:

	" The only way it would be reasonable to ask such a
	question is if you thought that it was likely that the
	IESG would act in bad faith."

not only mischaracterizes the question and the reason for it,
but is an attempt to suppress a historically-based and
reasonable question and discussion of it by doing so.

And, again using NEWTRK as an example, let's at least
temporarily assume that the IESG's decision to not put the WG's
core documents into Last Call was not just sincere and
appropriate but actually the right decision for the community.
The effect of that decision was to turn the very large amount of
effort that an assortment of people put into the WG
retroactively into a huge waste of time.  I am asking the
question so that I (and others) can make an educated judgment as
to whether investing time on this list and the topics Barry and
the announcement outlined would be a good use of time.  If there
had been no prior experience, that question might be
unreasonable (whether it implied any accusations or not).
However, we do have the experience and have had it with more
than one IESG.

In any event, do we have a virtual meeting today and, if so,
when are we expected to get the call-in information?  And, in
the same spirit as the above, should an inferences be drawn from
the observation that the call-in information apparently hasn't
appeared yet?

best,
   john

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 24 Oct 2019 09:21:14 +0100

John,

Yes, I had that slot blocked in my diary and was waiting for the webex
information.

I just checked https://datatracker.ietf.org/meeting/upcoming and I find
nothing listed.

The IESG will interpret the rules for prior warning for virtual interim
meetings, and decide whether this planned meeting is required to comply.
They will also decide whether it is reasonable to go ahead with the meeting
with such short notice of the mechanics.

But either way, they'll have to agree that it really doesn't look very
clever to get to this place. I don't think it is right to create a rule
based on some past experience and this event because I believe there have
been IESGs that have been open and flexible to discussing and even making
changes. 

What will be really telling is how this IESG extracts itself from this
position. 

Best,
Adrian

PS. I must announce myself as pretty frustrated. Years back, an IESG under
the then IETF chair determined that attempting wholesale changes to process
was unlikely to be successful because of the wide range of strongly held
opinions and approaches. That led to an approach of making small changes one
by one: no change addressed all of our problems or concerns, but each took
us a step closer to a better place. IMHO, the draft that SM wrote contains
three such small changes and we should have the option to decide whether
these changes should be made, assessing each on its merits and without
trying to resolve all known problems. 

PPS. That there is little or no discussion on this mailing list simply
reflects the fact that the draft is "done" and everyone is waiting for the
much-promised meeting to discuss it.

-----Original Message-----
From: Eligibility-discuss <[email-masked]> On Behalf
Of John C Klensin
Sent: 24 October 2019 08:59
To: [email-masked]
Subject: [Eligibility-discuss] Call today?

Hi.

best,
   john

-- 
Eligibility-discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/eligibility-discuss

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 24 Oct 2019 13:05:00 +0000

I am going to assume that this just slipped through the cracks.  That is unfortunate and I hope the IESG or whoever made the mistake will try twice as hard to fix it and reschedule promptly.

I will also sit by my mailbox anxiously until the time, in case Webex info shows up.

---

From: "Alexey Melnikov" <[email-masked]>
Date: Thu, 24 Oct 2019 14:40:18 +0100

On Thu, Oct 24, 2019, at 2:05 PM, Salz, Rich wrote:
> I am going to assume that this just slipped through the cracks.  That 
> is unfortunate and I hope the IESG or whoever made the mistake will try 
> twice as hard to fix it and reschedule promptly.
> 

Barry sent out WebEx information earlier today.

---

From: Richard Barnes <[email-masked]>
Date: Thu, 24 Oct 2019 09:51:11 -0400

> However, we do have the experience and have had it with more

I know you say you're not alleging bad faith here, but this is like a
time-inverted version of the good old, "When did you stop beating your
wife?"  It's like, "Some completely different set of people did something I
didn't like 10 years ago, how do I know that you're not going to do the
same thing?"  The question itself is an accusation.

Let's please focus on the substance here and give our colleagues the
benefit of the doubt.

--Richard

---

From: "Pete Resnick" <[email-masked]>
Date: Thu, 24 Oct 2019 09:20:11 -0500

On 24 Oct 2019, at 2:58, John C Klensin wrote:

> processed by the IESG and put out for IETF Last Call?

I can't figure out what form such an assurance would take.

If you assume good faith, the Responsible AD reviews the document (the 
IESG has long since delegated the pre-Last-Call review and the request 
for the Last-Call to the responsible AD), decides whether it has WG 
consensus and that it doesn't have any showstopper issues, and if so 
puts it out for Last-Call, and if not sends it back to the WG. Good 
faith also assumes that the AD recognizes that people have put work into 
the document and consider the idea of rejecting that work a very serious 
thing. Good faith also assumes that the AD is able to say, "I personally 
could plausibly be in the rough and won't hold this up if my personal 
opinion is this is a bad idea." If all that is assumed, I don't know 
what more assurance the IESG could give. Or do you simply want the IESG 
to say, "Yes, all of the above is true for this, just like any other 
work"? If they can't, that's a different order of problem.

If you assume bad faith, of course all bets are off and there's nothing 
the IESG could say that would give assurance.

So, is what you want an affirmation by the IESG that it will follow its 
own current procedures?

pr
-- 
Pete Resnick http://www.episteme.net/
All connections to the world are tenuous at best

---

From: Barry Leiba <[email-masked]>
Date: Thu, 24 Oct 2019 12:16:05 -0400

Indeed; I meant to send it yesterday, but didn't get to it, so I sent
it today.  I presume that people who are looking for it will have seen
it in time.  If anyone misses the call because I didn't get the
information out earlier, I hope they will accept my sincere apology
for that.  I do anticipate a productive meeting that moves this effort
forward.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Thu, 24 Oct 2019 12:20:06 -0400

Adding to what Pete said, I, at least, can assure everyone that I take
this seriously and want to get to rough consensus on a proposal that I
intend to AD-sponsor (unless rough consensus takes us into a working
group).  I have personal opinions that won't affect how I handle it as
an AD.  And as an AD, I will not let this drag on unreasonably.

Beyond that, of course, as Pete says: if you think I'm acting in bad
faith, I can assure you that I'm not, but that's circular.  I simply
ask you to trust me.

Barry

---

From: S Moonesamy <[email-masked]>
Date: Thu, 24 Oct 2019 09:51:38 -0700

Hi John,
>notes say that WebEx information was to be posted to the list

Thanks for posting the above.  I set a reminder for the virtual 
meeting.  I forgot that the WebEx link was not included in it.

>reasonable question and discussion of it by doing so.

I understand that you may have good reasons for the above-mentioned 
concern.  I'll wait and see what happens.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Oct 2019 18:09:36 -0400

--On Thursday, October 24, 2019 09:20 -0500 Pete Resnick
<[email-masked]> wrote:

> If you assume good faith, the Responsible AD reviews the
> document (the IESG has long since delegated the pre-Last-Call
> review and the request for the Last-Call to the responsible
> AD), decides whether it has WG consensus and that it doesn't
> have any showstopper issues, and if so puts it out for
> Last-Call, and if not sends it back to the WG. Good faith also
> assumes that the AD recognizes that people have put work into
> the document and consider the idea of rejecting that work a
> very serious thing. Good faith also assumes that the AD is
> able to say, "I personally could plausibly be in the rough and
> won't hold this up if my personal opinion is this is a bad
> idea." If all that is assumed, I don't know what more
> assurance the IESG could give. Or do you simply want the IESG
> to say, "Yes, all of the above is true for this, just like any
> other work"? If they can't, that's a different order of
> problem.
> 
> If you assume bad faith, of course all bets are off and
> there's nothing the IESG could say that would give assurance.

Pete,

Three observations and then I'm going to drop this and probably
head for the exit.

(1) The IESG -- not this IESG but IESGs on and off since the
post-Kebe reforms --  have a very long history of ignoring their
own rules or "adjusting" those rules for particular
circumstances.  As you probably recall, I've strongly advocated
for allowing them to do that because I belief the IETF has,
historically, been much better off when we, and leadership
bodies in particular, can make pragmatic adjustments to special
circumstances and Do the Right Thing rather than being manacled
by rules or procedures that are followed mindlessly.

As a specific class of examples, I don't believe that the IESG's
procedures have ever specifically contemplated a document simply
sitting for months between when a WG or individual request
publication, with those making the request neither getting a
Last Call or a "no", but just having things sit there.  Nor do
those procedures appear to contemplate documents sitting around
for months (or longer) without action after Last Call completes.
I note that your description of the sequence of processing above
does not contemplate either case.  Yet, in the vast majority of
those cases, there good reasons and certainly no bad faith is
involved.

(2) Because of the combination of the above with the, IMO rather
sordid, then-IESG behavior toward the NEWTRK WG, the earlier
proposals to put limits on the number of WGs, and other
non-trivial procedural work that was initiated bottom-up, I
think it is entirely reasonable to ask that the IESG go a bit
beyond the procedure you outline above.  I've been trying to
avoid telling the IESG what, specifically, might be done  but it
seem to me that a poll of the membership to determine whether
anyone sincerely believes that changes that would broaden the
scope of recalls or ease of initiating them would be bad for the
IETF and/or the Internet.  That is not an inquiry about a
specific proposal, which would be silly, but about the general
principle of making such changes.  Again, that requires no
assumption of bad faith.  Instead, it assumes honesty and good
faith on the part of ADs: an AD who intended to behave in bad
faith would probably say "no problem" to the poll and then try
to sabotage any proposal of this type down the line.  There are
also, IMO, perfectly good reasons why someone might reach the
conclusion that a more effective recall procedure would be bad
for the IETF.  After all, a recall procedure (either the one we
have or one that might work better) involves an inherent
tradeoff between the ability of the community to hold IESG and
IAB members accountable for their behavior and the ability of
members of those groups to work effectively and in the best
interests of the community for their full terms without having
to be concerned that some action would trigger a recall effort
(no DoS attack required).

(3) Finally, while you haven't gone as far as others, it seems
to me that there has been a recent outbreak of claims that
someone in the community raising a potentially-sensitive
constitutes accusing unspecified IESG or IAB members of acting
in bad faith and, of course (and explicitly in some cases) that
such an accusation was unprofessional.  There may well be
situations in which that is actually what is, or was, going on
but there have been several, including this one, in which there
are perfectly good reasons for the comment and explanations for
the reasons.   In those cases, comments to the effect that the
person making a particular observation must be accusing the IESG
or IAB or acting in bad faith, especially when they come from
members of the leadership, are an example of the worst sort of
bullying and use of power to facilitate it that does not involve
physical contact; worst because it is an attack, not just on an
individual but on anyone in the community who dissents from the
positions of those in power.  I call on the people involved to
rethink their comments and apologize to the community and, if it
is necessary, on the ombudsteam to help them do so.

best,
   john

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 25 Oct 2019 20:30:27 -0400

Hi John,

> On Oct 25, 2019, at 6:09 PM, John C Klensin <[email-masked]> wrote:
> 

I stand by my claim that it would be better for all involved if no one assumes that IETF participants act in bad faith. I don’t see how the IETF can work any other way. I’m not going to apologize for saying that.

Cheers,
Alissa

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 25 Oct 2019 18:07:42 -0700

Hi John,

Trimming judiciously...

> those cases, there good reasons and certainly no bad faith is

As someone who resembles this remark on several counts, I appreciate the
understanding that there can be good reasons for the delay, even if I still
feel bad about it.

> principle of making such changes.  Again, that requires no

This is not really the best forum for such a poll, but I'll be happy to see
something in this space in front of the IESG, and appreciate the ongoing
discussions (I couldn't attend the virtual meeting, unfortunately).  SM's
original 3/5 including remote, with Adrian's amendment to have some
physical attendee signatures required, is looking promising, but I don't
want to judge things before the discussion is wrapped up.

And, since it's perhaps relevant to the topic of "will the IESG be
interested in procedure changes", I'll note that your message on Oct 4 to
Nico on the ietf@ list asked if any ADs wanted to see ISD and/or "assign
STD numbers at PS" reinvigorated.  I have seen a few people talk about the
latter and share their interest, and am somewhat intrigued by the former,
but am unable to stand up and say I'm going to sponsor them or get an
effort started at the moment, largely for the same reasons that I'm guilty
of the delays mentioned in the first part of this message.

-Ben

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Oct 2019 21:28:13 -0400

--On Friday, October 25, 2019 20:30 -0400 Alissa Cooper
<[email-masked]> wrote:

>...
> I stand by my claim that it would be better for all involved
> if no one assumes that IETF participants act in bad faith. I
> don't see how the IETF can work any other way. I'm not
> going to apologize for saying that.

And I stand by my claim that neither I, nor anyone else I've
observed, has made such an assumption.  An assumption that an
IESG member might have a sincere opinion that is not in line
with the community or that causes that person, again sincerely,
to block a action on which relevant parts of the community
appear to others to have rough consensus is not about bad faith.
Such a disagreement may (and probably does) constitute a
situation in the community needs to work together to reach
consensus or at least to be sure the nature of any disagreements
are completely understood but, even if that does not occur
because the IESG member does not feel it appropriate to
participate in the discussion as a member of the community, I
still would not see that as "acting in bad faith" even though it
would violate assumptions in the community about how the IESG is
supposed to behave that go back long enough to predate the Kobe
changes: I'd be prepared to believe that the action or lack
thereof was motivated by sincere belief that a proposal was a
mistake and would hurt the community.  I'd hope that conclusion
and the reasons for it would be carefully and accurately
explained to the community but, even if that did not occur, I
wouldn't assume bad faith even if I concluded that person
probably did not belong on the IESG any more.

So we are in complete agreement that we are all better off if no
one assumes that IETF participants act in bad faith.   I have
not made that assumption.  I do not believe that making the
assumption that others have reached their conclusions on the
basis of assumptions about bad faith positions or actions is
healthy for the community, especially when there appear to be
disagreements about substance between the two parties.  I think
going in that direction takes us into the territory of a
traditionally-defined ad hominem attack in which party A claims
that they don't have to take the substance of party B seriously
because party B is evil... or in this case, assuming that party
A is acting in bad faith.  And _that_ was the concern that
motivated my response to Pete.

   john

---

From: John C Klensin <[email-masked]>
Date: Fri, 25 Oct 2019 22:13:41 -0400

Ben,

To at least some degree, your note may indicate that I still
have not been clear, so, just in case that is true, let me try
again.

I am not asking for IESG pre-approval of any particular proposal
or its details.  For the IESG to do such a pre-approval would be
an abdication of responsibility and something that is compared
in some cultures to buying a pig in a poke, uninspected in any
way.  In its most raw form, I am asking whether there is
consensus on the IESG that proposals of a particular class
should be processed into IETF Last Call and the Last Call
outputs considered as possible indications of community
consensus if plausible proposals of that class appear.   In this
case, a description of that class of proposals is that they
would involve modifying the recall process to make recall
initiation more open and/or easier and, perhaps in the future,
proposing more significant changes to the recall process to make
it more useful and effective.  Conversely, if there are IESG
members who believe that processing, or even considering, such
proposals would be undesirable for the community, I think it is
entirely appropriate that the rest of the IESG and the community
ask them to identify themselves and that position, if only so we
can figure out if trying to develop a plausible proposal is
worth the effort.   I obviously cannot stress too strongly that
I do not believe that having such a belief or reaching such a
conclusion requires bad faith.  Perfectly sensible (and ethical)
people can conclude, for example, that we have used the recall
procedure so infrequently, or that it has so many other
deficiencies, that trying to tune it is a waste of the
community's time, inevitably divisive, and should either not be
undertaken or should be blocked at the earliest opportunity.  

I think I heard positions close to that on the call.  I
obviously disagree, but my doing so does not require me to doubt
the sincerity, motivations, or good faith of whomever I disagree
with.  Instead, I think we should  be engaging on those issues
and doing so without name-calling or making unpleasant
assumptions about what might have led to those conclusions or
the people who reached them.

Even for the STD-at-PS or ISD discussions, there is a huge
difference between "Even though I find them interesting, I don't
have time to think deeply about those things" and "I think that
proposals along those lines would be harmful enough to the IETF
that any effort to raise them should be blocked and/or buried as
efficiently as possible" (again stressing that I think the
latter possible position could be entirely sincere and, given
reasonable assumptions, even justified).  If it turns out that a
non-trivial fraction of the IESG is somewhat intrigued but no
one has sufficient bandwidth, then I suppose we (all of us
together, not just the IESG) should be having a discussion of
how to get such work done.   As a particular example because it
has come up before (not because I think it is a good idea),
maybe we should be examining whether the role of the IETF Chair
has expanded sufficiently and requires enough cycles that it
would be appropriate to have a separate General Area AD.   

I have a vague recollection that we actually had a Process AD
slot many years ago but gave up on having that separate position
and dropped the authority onto the IETF Chair because, in the
wake of POISED, there were few enough process proposals and
those that did appear were, by and large, sufficiently
uncontroversial that we didn't need the separate slot and that,
at least implicitly, the IETF Chair had the time.  It has been
23 years since the POISED work wound down in last 1996.
Especially given changes in the Internet and the IETF in that
(rather long in Internet years) period, maybe it is time we
figure out a way to reexamine some of those issues and
decisions.  Or maybe those of us who were involved did such a
wonderful and prescient job that only fine-tuning has been
needed in between and that even less will be needed in the
future. If anyone believes that, I believe there are sales on
bridges, ponies, and flying pigs next week, but I can have that
opinion without needing to question anyone's motives, sincerity,
ethics, or good faith.

best,
   john

--On Friday, October 25, 2019 18:07 -0700 Benjamin Kaduk
<[email-masked]> wrote:

>> As a specific class of examples, I don't believe that the
>> IESG's procedures have ever specifically contemplated a
>> document simply sitting for months between when a WG or
>> individual request publication, with those making the request
>> neither getting a Last Call or a "no", but just having things
>> sit there.  Nor do those procedures appear to contemplate
>> documents sitting around for months (or longer) without
>> action after Last Call completes. I note that your
>> description of the sequence of processing above does not
>> contemplate either case.  Yet, in the vast majority of those
>> cases, there good reasons and certainly no bad faith is
>> involved.
> 
> As someone who resembles this remark on several counts, I
> appreciate the understanding that there can be good reasons
> for the delay, even if I still feel bad about it.
> 
>> (2) Because of the combination of the above with the, IMO
>> rather sordid, then-IESG behavior toward the NEWTRK WG, the
>> earlier proposals to put limits on the number of WGs, and
>> other non-trivial procedural work that was initiated
>> bottom-up, I think it is entirely reasonable to ask that the
>> IESG go a bit beyond the procedure you outline above.  I've
>> been trying to avoid telling the IESG what, specifically,
>> might be done  but it seem to me that a poll of the
>> membership to determine whether anyone sincerely believes
>> that changes that would broaden the scope of recalls or ease
>> of initiating them would be bad for the IETF and/or the
>> Internet.  That is not an inquiry about a specific proposal,
>> which would be silly, but about the general principle of
>> making such changes.  Again, that requires no
> 
> This is not really the best forum for such a poll, but I'll be
> happy to see something in this space in front of the IESG, and
> appreciate the ongoing discussions (I couldn't attend the
> virtual meeting, unfortunately).  SM's original 3/5 including
> remote, with Adrian's amendment to have some physical attendee
> signatures required, is looking promising, but I don't want to
> judge things before the discussion is wrapped up.
> 
> And, since it's perhaps relevant to the topic of "will the
> IESG be interested in procedure changes", I'll note that your
> message on Oct 4 to Nico on the ietf@ list asked if any ADs
> wanted to see ISD and/or "assign STD numbers at PS"
> reinvigorated.  I have seen a few people talk about the latter
> and share their interest, and am  (in this case, modifying the
recall process to make recall initiation more open and/or
easier) by the
> former, but am unable to stand up and say I'm going to sponsor
> them or get an effort started at the moment, largely for the
> same reasons that I'm guilty of the delays mentioned in the
> first part of this message.
> 
> -Ben

---

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 25 Oct 2019 22:04:00 -0700

Hi John,

> have not been clear, so, just in case that is true, let me try

I think we are (and were previously) in agreement about your points.

My response is mostly intended to convey that I am receptive to proposals
to update the recall process (if only to admit that what we used to have is
not the best fit for the current realities of our goals, community, and
nature of participation, and that we want to do better), and that I look
forward to seeing such a proposal in front of the IESG as the usual
consensus and review process proceeds.

-Ben